Name:		chessx
Version:	0.9.6
Release:	%mkrel 1

Summary:	Chess database
Group:		Games/Boards
License:	GPLv2
URL:		http://chessx.sourceforge.net/?q=node/3
Source0:	http://sourceforge.net/projects/chessx/files/%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	qt4-devel 

%description
ChessX is a chess database application with a graphical user interface.
With it you can browse databases of chess games, edit games and search for
games by various criteria. ChessX can read PGN files.

%prep
%setup -q


%build
export PATH=/usr/lib/qt4/bin:$PATH
export QTDIR=%{_prefix}/lib/qt4/
qmake %{name}.pro

%make 


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
install -m 755 release/%{name} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/games/%{name}
cp -r data/* %{buildroot}%{_datadir}/games/%{name}
cp -r i18n %{buildroot}%{_datadir}/games/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=ChessX
Comment=Chess database
Exec=%{name}
Icon=%{_datadir}/icons/large/boards_section.png
Terminal=false
Type=Application
Categories=Game;BoardGame;X-MandrivaLinux-MoreApplications-Games-Boards;
MimeType=application/x-chess-pgn;
EOF


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README.* TODO ChangeLog COPYING  
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/games/%{name}




%changelog
* Mon Jul 29 2013 Ken <lxgator at gmail.com> 0.9.6-1pclos2013
- initial build
